use crate::{codegen::SvgDocument, types::nodes::standard_input::StandardInput};

#[test]
fn test_offset_simple() {
    let mut doc = SvgDocument::new();
    let offset = doc.create_filter("offset");

    offset.offset(StandardInput::SourceGraphic, 25., -25.);

    assert_eq!(
        doc.generate_svg(),
        r#"<svg><filter id="offset"><feOffset dx="25" dy="-25" in="SourceGraphic"/></filter></svg>"#
    );
}
